# Configuration Options

### Formatting Codes

```
<bold>, <b> - old &l
<italic>, <em>, <i> - Makes letters appear as italic font
<underlined>, <u> - Underline text
<strikethrough>, <st> - Line through text
<obfuscated>, <obf> - Makes letters rotate and move so you can't see the actual value (old &k)
<reset>, <r> - Resets the colors to nothing
```

### **Color Codes**

```
<blue> - You can use named colors like "red", "green" etc
<#000000> - Can also use hex color codes to create highly detailed colors.
<gradient:color1:color2:...> - Created a gradient, unlimited amounts of colors
<rainbow> - Creates a rainbow for text after the tag.
```

### Chat Mouse Actions

Mouse actions allow you to create interactive handlers for chat messages. Show more details when hovering, open a website when clicked or suggest/execute commands with 1 simple click.

#### Mouse Hover Handler

Using the `<hover>` tag you can show text to a player when they hover over the message in chat with their mouse. This can be used to send larger more detailed messages in chat without feeling overwhelmed or spammy.&#x20;

* Format: `<hover:show_text:"Hover Text\nFor New Line">`

#### Mouse Click Actions

The `<click>` tag allows you to perform actions on the player's behalf when they click on specific messages or text within messages. You can perform any of the following actions using `<click>`

* `OPEN_URL` - Open a URL to the user's default browser
* `OPEN_FILE` - Open a specific file location on the user's system
* `RUN_COMMAND` - Run commands for the player
* `SUGGEST_COMMAND` - Suggest a command to the player's chat box
* `COPY_TO_CLIPBOARD` - Copy text to the user's clipboard

Each action follows the same format. Use this format for all actions and simply change out the final variable each time.

* Open URL Format: `<click:open_url:"https://google.com">`
* Run Command Format: `<click:run_command:"/heal">`

### Translations

User-specific translations are also supported. This means u can send German text to a user using German language settings in their Minecraft client. The server will replace the values for you. But you must use a Minecraft resource path to find the word you want.

Example: `You won a <lang:block.minecraft.diamond_block>`

The above will replace `<lang:block.minecraft.diamond_block>` with the appropeat language for the client.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.supremeventures.ca/important-information/configuration-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
